<?php
  switch($Etape)
  {
    case 0:
      echo "<form method='POST' ENCTYPE='multipart/form-data'><input type='hidden' name='Type' value=$Type><input type='hidden' name='Sous_Type' value=$Sous_Type><input type='hidden' name='Etape' value=1>";
      echo "<INPUT TYPE='file' name='liste'><button type='submit'>Importer</button></form>\n";
    break;
    case 1:
      set_time_limit ( 3600 );
      $file=fopen($liste["tmp_name"],'r');
      echo "salut ". print_r($liste) ."<BR>";
      echo "<BIG>Veuillez patienter svp</BIG><BR>";
      $nbart=0;
      $nbinc=0;
      $poscpt=0;
      while($ligne=fgets($file,300))
      {
		    $array_ligne = explode("\t", $ligne);
        $NoArticle=$array_ligne[0];
        $NoArticleRR=str_replace(" ", "", $NoArticle);
        $Description=$array_ligne[1];
        $Prix=$array_ligne[2];
        $GroupeMarchandise=$array_ligne[3];
        $Tax=$array_ligne[4];
        $CodeRabais=$array_ligne[5];
        $Rabais=$array_ligne[6];
        $resultat=Article::getArticleByNoArticleRR(addslashes($NoArticleRR));
        $nb_resultats=count($resultat);
        $requette2="";
        if ($nb_resultats==0)
        {
          $nbinc++;
          $requette2="INSERT INTO articles (NoArticle, NoArticleRR, Description, PrixImportateur, Rabais, CodeRabais, GroupeMarchandise, TVA, DateModif, DateSaisie, PersonneModif) VALUES ";
          $requette2.="(".
                      "'".addslashes($NoArticle)."'".
                      ", '".addslashes($NoArticleRR)."'".
                      ", '".addslashes($Description)."'".
                      ", $Prix".
                      ", $Rabais".
                      ", '".addslashes($CodeRabais)."'".
                      ", $GroupeMarchandise".
                      ", $Tax".
                      ", '".date("Y-m-d")."'".
                      ", '".date("Y-m-d")."'".
                      ", 'import'".
                      ")";
        }
        else if ($nb_resultats==1)
        {
          $nbart++;
          $requette2="UPDATE articles SET ".
                     "NoArticle='".addslashes($NoArticle)."'".
               ", Description='".addslashes($Description)."'".
               ", PrixImportateur=$Prix".
               ", Rabais=$Rabais".
               ", CodeRabais='".addslashes($CodeRabais)."'".
               ", GroupeMarchandise=$GroupeMarchandise".
               ", TVA=$Tax".
               ", DateModif='".date("Y-m-d")."'".
               ", PersonneModif='import'".
               " WHERE NoArticleRR='".addslashes($NoArticleRR)."'";
        }
        else
        {
          //echo $nb_resultats;
        }
        //echo $requette2."<br />";
        Connection::executeRawQuery($requette2);
      }
      echo $nbart . " mis à jour<BR>";
      echo $nbinc . " nouveaux<BR>";
      echo "<BIG>OK c'est fini</BIG><BR>";
    break;
  }
?>
